;; 00-build.el --- Loads the required crap for all my init files   -*- Emacs-Lisp -*-

;; Copyright (C) 2007 - 2012 Steve Youngs

;;     Author: Steve Youngs <steve@sxemacs.org>
;; Maintainer: Steve Youngs <steve@sxemacs.org>
;;    Created: <2007-12-02>
;; Time-stamp: <Saturday Jun 23, 2012 13:11:29 steve>
;;   Download: <http://bastard.steveyoungs.com/~steve/SXEmacs/inits/>
;;   HTMLised: <http://bastard.steveyoungs.com/~steve/SXEmacs/htmlinits/00-build.html>
;;   Git Repo: git clone http://git.sxemacs.org/syinit
;;   Keywords: init, compile

;; This file is part of SYinit

;; Redistribution and use in source and binary forms, with or without
;; modification, are permitted provided that the following conditions
;; are met:
;;
;; 1. Redistributions of source code must retain the above copyright
;;    notice, this list of conditions and the following disclaimer.
;;
;; 2. Redistributions in binary form must reproduce the above copyright
;;    notice, this list of conditions and the following disclaimer in the
;;    documentation and/or other materials provided with the distribution.
;;
;; 3. Neither the name of the author nor the names of any contributors
;;    may be used to endorse or promote products derived from this
;;    software without specific prior written permission.
;;
;; THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR
;; IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
;; WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
;; DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
;; FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
;; CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
;; SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
;; BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
;; WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
;; OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
;; IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

;;; Commentary:
;;
;;   This simply loads everything needed to compile and load my init
;;   files.

;;; Credits:
;;
;;   The HTML version of this file was created with Hrvoje Niksic's
;;   htmlize.el which is part of the XEmacs "text-modes" package.
;;

;;; Todo:
;;
;;     

;;; Code:
(globally-declare-boundp
 '(**mpd-var-Artist*
   **mpd-var-Title*
   appt-message-warning-time
   bbdb-auto-notes-alist
   bbdb-complete-name-allow-cycling
   bbdb-dial-local-prefix
   bbdb-dwim-net-address-allow-redundancy
   bbdb/gnus-score-default
   bbdb/gnus-summary-in-bbdb-format-letter
   bookmark-save-flag
   c-default-style
   compilation-always-signal-completion
   compilation-read-command
   compilation-window-height
   compile-command
   crontab-delete-blank-lines
   cvs-add-default-message
   cvs-allow-dir-commit
   cvs-reuse-cvs-buffer
   diff-switches
   edit-toolbar-added-buttons-alist
   eshell-ask-to-save-history
   eshell-banner-message
   eshell-hist-ignoredups
   eshell-modules-list
   etalk-process-file
   fancy-diary-display
   find-function-source-path
   font-menu-ignore-scaled-fonts
   fume-display-in-modeline-p
   fume-menubar-menu-location
   ges-post-use-mime
   gnus-article-buffer
   gnus-extract-address-components
   gnus-original-article-buffer
   gnus-signature-separator
   howm-menu-display-rules
   howm-menu-schedule-days
   howm-schedule-menu-types
   ibuffer-fontification-level
   ibuffer-saved-filter-groups
   make-diary-entry
   mark-diary-entries
   mark-howm-entry
   message-cite-function
   mode-compile-make-program
   passwd-invert-frame-when-keyboard-grabbed
   patcher-default-change-logs-appearance
   patcher-default-change-logs-prologue
   patcher-default-change-logs-updating
   patcher-default-diff-command
   patcher-default-diff-prologue-function
   patcher-default-log-message-items
   patcher-default-mail-method
   patcher-default-subject-committed-prefix
   patcher-default-subject-prefix
   patcher-default-to-address
   patcher-mail-run-gnus
   patcher-mail-run-gnus-other-frame
   patcher-projects
   patcher-subprojects
   query-user-mail-address
   recent-files-non-permanent-submenu
   report-xemacs-bug-no-explanations
   riece-alias-percent-hack-mask
   riece-command-buffer
   riece-ignore-discard-message
   riece-keywords
   savehist-coding-system
   savehist-file
   set-mode
   snap-abbreviate-environment-variables
   speedbar-query-confirmation-method
   speedbar-show-unknown-files
   speedbar-tag-hierarchy-method
   speedbar-track-mouse-flag
   speedbar-use-tool-tips-flag
   speedbar-visiting-tag-hook))


(eval-and-compile
  ;(defvar xwem-global-map global-map)
  ;(defvar xwem-sound-alist nil)
  ;(defvar xwem-started nil)
  (defvar eshell-mode-map nil)
  (autoload #'executable-find "executable")
  (autoload #'morse-region "morse" nil t)
  (autoload #'read-kbd-macro "edmacro" nil t)
  (autoload #'regexp-opt "regexp-opt")
  (require 'advice)
  (require 'alist)
  (require 'bbdb-gnus)
  (require 'bbdb-hooks)
  (require 'bbdb-sc)
  (require 'bbdb-w3)
  (require 'emchat)
  (require 'emchat-buddy)
  (require 'emchat-status)
  (require 'emchat-wharf)
  (require 'outl-mouse)
  (require 'riece-yank)
  ;(require 'xwem-clients)
  ;(require 'xwem-sound)
;  (when (and (device-on-window-system-p)
;	     (featurep 'toolbar)
;	     (boundp 'default-toolbar-visible-p))
;    (require 'latex-toolbar))
)

(eval-when-compile
  (defvar c-enable-xemacs-performance-kludge-p)
  (defvar riece-unread-channels)
  (autoload #'ansi-color-apply-on-region "ansi-color")
  (autoload #'blink-cursor-mode "blink-cursor" nil t)
  (autoload #'c-mode "cc-mode" nil t)
  (autoload #'c-set-style "cc-styles" nil t)
  (autoload #'customize-set-variable "cus-edit" nil t)
  (autoload #'dig "dig" nil t)
  (autoload #'easy-mmode-define-keymap "easy-mmode")
  (autoload #'executable-find "executable")
  (autoload #'gnuserv-start "gnuserv" nil t)
  (autoload #'hyper-apropos "hyper-apropos" nil t)
  (autoload #'hyper-describe-face "hyper-apropos" nil t)
  (autoload #'ibuffer-add-to-tmp-hide "ibuf-ext" nil t)
  (autoload #'ibuffer-switch-to-saved-filter-groups "ibuf-ext" nil t)
  (autoload #'load-sound-file "sound" nil t)
  (autoload #'mail-header-parse-date "mail-parse")
  (autoload #'manual-entry "man" nil t)
  (autoload #'play-media-stream "sound")
  (autoload #'yow "yow" nil t)
  (require 'appt)
  (require 'balloon-help)
  (require 'browse-url)
  (require 'build-rpt)
  (require 'c-comment-edit)
  (require 'cal-tex)
  (require 'diary-lib)
  (require 'efs)
  (require 'filladapt)
  (require 'hm--html-configuration)
  (require 'howm)
  (require 'ibuffer)
  (require 'pending-del)
  (require 'psgml)
  (require 'psgml-html)
  (require 'recent-files)
  (require 'rsz-minibuf)
  (require 'savehist)
  (require 'solar)
  (require 'sxell)
  (require 'time)
  (require 'todo-mode)
  (require 'url)
  (require 'url-news)
  (require 'w3)
  (require 'w3-java)
  ;(require 'w3-script)
  ;(require 'xwem-keyboard)
  ;(require 'xwem-mpd)
)


;;; 00-build.el ends here
